Update a Connected Apps connection
Updates validated connection state, credential/settings/context fields and returns the redacted detailed projection. Supplied null values for fields using existing-value fallback retain their stored value; this request does not validate provider credentials remotely. Requires the integration platform global/configured client feature gate (normally integration_platform_foundation). Requires permission: one of access_account_settings.
curl --request PATCH \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connection_name": "Connection Name",
"scope": "workspace",
"status": "pending",
"health_status": "unknown",
"provider_account_id": "Provider Account Id",
"provider_tenant_id": "Provider Tenant Id",
"encrypted_credentials": {},
"settings_json": {},
"target_context_json": {}
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}"
payload = {
"connection_name": "Connection Name",
"scope": "workspace",
"status": "pending",
"health_status": "unknown",
"provider_account_id": "Provider Account Id",
"provider_tenant_id": "Provider Tenant Id",
"encrypted_credentials": {},
"settings_json": {},
"target_context_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connection_name: 'Connection Name',
scope: 'workspace',
status: 'pending',
health_status: 'unknown',
provider_account_id: 'Provider Account Id',
provider_tenant_id: 'Provider Tenant Id',
encrypted_credentials: {},
settings_json: {},
target_context_json: {}
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'connection_name' => 'Connection Name',
'scope' => 'workspace',
'status' => 'pending',
'health_status' => 'unknown',
'provider_account_id' => 'Provider Account Id',
'provider_tenant_id' => 'Provider Tenant Id',
'encrypted_credentials' => [
],
'settings_json' => [
],
'target_context_json' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}"
payload := strings.NewReader("{\n \"connection_name\": \"Connection Name\",\n \"scope\": \"workspace\",\n \"status\": \"pending\",\n \"health_status\": \"unknown\",\n \"provider_account_id\": \"Provider Account Id\",\n \"provider_tenant_id\": \"Provider Tenant Id\",\n \"encrypted_credentials\": {},\n \"settings_json\": {},\n \"target_context_json\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"connection_name\": \"Connection Name\",\n \"scope\": \"workspace\",\n \"status\": \"pending\",\n \"health_status\": \"unknown\",\n \"provider_account_id\": \"Provider Account Id\",\n \"provider_tenant_id\": \"Provider Tenant Id\",\n \"encrypted_credentials\": {},\n \"settings_json\": {},\n \"target_context_json\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"connection_name\": \"Connection Name\",\n \"scope\": \"workspace\",\n \"status\": \"pending\",\n \"health_status\": \"unknown\",\n \"provider_account_id\": \"Provider Account Id\",\n \"provider_tenant_id\": \"Provider Tenant Id\",\n \"encrypted_credentials\": {},\n \"settings_json\": {},\n \"target_context_json\": {}\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 2,
"client_id": 42,
"provider_key": "Example",
"connection_name": "Example",
"scope": "Example",
"auth_type": "Example",
"status": "Example",
"health_status": "Example",
"provider_account_id": 42,
"provider_tenant_id": 42,
"last_health_check_at": "2026-10-20T12:00:00Z",
"last_synced_at": "2026-10-20T12:00:00Z",
"last_error_at": "2026-10-20T12:00:00Z",
"last_error_code": "Example",
"last_error_message": "Example",
"disconnected_at": "2026-10-20T12:00:00Z",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"unresolved_conflict_count": 2,
"credentials_configured": true,
"bloomerang_sync_readiness_enabled": true,
"settings_json": {},
"target_context_json": {},
"provider": {
"id": 42,
"display_name": "Example",
"category": "Example",
"status": "Example",
"supported_objects": {},
"capabilities": {}
},
"encrypted_credentials": {},
"metadata_snapshots": [
{
"id": 2,
"provider_key": "Example",
"snapshot_type": "Example",
"snapshot_version": 2,
"status": "Example",
"schema_hash": "Example",
"snapshot_json": {},
"metadata_json": {},
"discovered_at": "2026-10-20T12:00:00Z",
"approved_at": "2026-10-20T12:00:00Z",
"archived_at": "2026-10-20T12:00:00Z"
}
],
"recent_sync_runs": [
{
"id": 2,
"provider_key": "Example",
"run_type": "Example",
"trigger_source": "Example",
"direction": "Example",
"status": "Example",
"object_types_json": {},
"counters_json": {},
"summary_json": {},
"context_json": {},
"error_summary_json": {},
"started_at": "2026-10-20T12:00:00Z",
"finished_at": "2026-10-20T12:00:00Z",
"events": [
{
"id": 2,
"sync_run_id": 42,
"object_mapping_id": 42,
"provider_key": "Example",
"event_type": "Example",
"direction": "Example",
"status": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"provider_object_type": "Example",
"provider_object_id": 42,
"dedupe_key": "Example",
"idempotency_key": "Example",
"retryable": true,
"attempts": 2,
"error_code": "Example",
"error_message": "Example",
"payload_json": {},
"payload_hash": "Example",
"occurred_at": "2026-10-20T12:00:00Z",
"processed_at": "2026-10-20T12:00:00Z"
}
]
}
],
"recent_conflicts": [
{
"id": 2,
"provider_key": "Example",
"conflict_type": "Example",
"status": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"provider_object_type": "Example",
"provider_object_id": 42,
"conflicted_fields_json": {},
"hys_snapshot_json": {},
"provider_snapshot_json": {},
"detected_at": "2026-10-20T12:00:00Z",
"resolved_at": "2026-10-20T12:00:00Z",
"resolved_by": 42,
"resolution_json": {},
"relationship_identity": {
"kind": "relationship_identity",
"collision_reason": "Example",
"source": {
"provider_object_type": "Example",
"provider_object_id": "Example",
"source_provider_id": "Example",
"related_provider_id": "Example",
"source_name": "Example",
"related_name": "Example",
"relationship_type": "Example",
"reverse_relationship_type": "Example"
},
"current_mapping": {
"id": 42,
"hys_relationship_id": 42
},
"can_keep_separate": true,
"keep_separate_will_create": true,
"can_treat_as_same_or_reverse": true,
"expected_object_mapping_id": 42,
"stale_mapping_token": "<string>",
"pending_resolution": {
"decision": "Example",
"target_hys_object_id": 42,
"staged_at": "2023-11-07T05:31:56Z",
"verification_status": "Example"
},
"candidates": [
{
"id": 42,
"source_name": "Example",
"related_name": "Example",
"relationship_type": "Example",
"is_current": true,
"available": true
}
]
},
"recurring_schedule": {
"kind": "recurring_schedule",
"source": {
"provider_object_type": "Example",
"provider_object_id": "Example",
"donor_provider_id": "Example",
"currency": "Example",
"frequency": "Example",
"start_date": "Example",
"end_date": "Example",
"status": "Example",
"last_modified_at": "Example",
"amount": 125
},
"matched_donor": {
"id": 42,
"name": "Example"
},
"active_commitments": [
{
"id": 42,
"amount": 125,
"frequency": "Example",
"is_non_charging": true,
"is_external_processor": true
}
],
"active_commitment_count": 2,
"active_commitment_total": 125,
"mapped_commitment": {
"id": 42,
"amount": 125,
"frequency": "Example",
"is_non_charging": true,
"is_external_processor": true,
"mapping_id": 42
},
"can_mark_already_represented": true,
"expected_provider_object_id": "Example",
"source_snapshot_token": "<string>",
"active_commitment_token": "<string>"
}
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Connection id in the current organization.
Body
Validated request fields for this operation.
Connection name. Validation: sometimes, string, max:255.
255"Connection Name"
Scope. Validation: sometimes; allowed values: workspace, user.
workspace, user "workspace"
Status. Validation: sometimes; allowed values: pending, connected, paused, needs_reauth, error, disconnected.
pending, connected, paused, needs_reauth, error, disconnected "pending"
Health status. Validation: sometimes; allowed values: unknown, healthy, warning, error.
unknown, healthy, warning, error "unknown"
Provider account id. Validation: nullable, string, max:191.
191"Provider Account Id"
Provider tenant id. Validation: nullable, string, max:191.
191"Provider Tenant Id"
Provider-specific encrypted credentials fields; use provider metadata/configuration for supported keys.
Show child attributes
Show child attributes
Provider-specific settings fields; use provider metadata/configuration for supported keys.
Show child attributes
Show child attributes
Provider-specific target context fields; use provider metadata/configuration for supported keys.
Show child attributes
Show child attributes
Response
Operation result.
curl --request PATCH \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connection_name": "Connection Name",
"scope": "workspace",
"status": "pending",
"health_status": "unknown",
"provider_account_id": "Provider Account Id",
"provider_tenant_id": "Provider Tenant Id",
"encrypted_credentials": {},
"settings_json": {},
"target_context_json": {}
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}"
payload = {
"connection_name": "Connection Name",
"scope": "workspace",
"status": "pending",
"health_status": "unknown",
"provider_account_id": "Provider Account Id",
"provider_tenant_id": "Provider Tenant Id",
"encrypted_credentials": {},
"settings_json": {},
"target_context_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connection_name: 'Connection Name',
scope: 'workspace',
status: 'pending',
health_status: 'unknown',
provider_account_id: 'Provider Account Id',
provider_tenant_id: 'Provider Tenant Id',
encrypted_credentials: {},
settings_json: {},
target_context_json: {}
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'connection_name' => 'Connection Name',
'scope' => 'workspace',
'status' => 'pending',
'health_status' => 'unknown',
'provider_account_id' => 'Provider Account Id',
'provider_tenant_id' => 'Provider Tenant Id',
'encrypted_credentials' => [
],
'settings_json' => [
],
'target_context_json' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}"
payload := strings.NewReader("{\n \"connection_name\": \"Connection Name\",\n \"scope\": \"workspace\",\n \"status\": \"pending\",\n \"health_status\": \"unknown\",\n \"provider_account_id\": \"Provider Account Id\",\n \"provider_tenant_id\": \"Provider Tenant Id\",\n \"encrypted_credentials\": {},\n \"settings_json\": {},\n \"target_context_json\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"connection_name\": \"Connection Name\",\n \"scope\": \"workspace\",\n \"status\": \"pending\",\n \"health_status\": \"unknown\",\n \"provider_account_id\": \"Provider Account Id\",\n \"provider_tenant_id\": \"Provider Tenant Id\",\n \"encrypted_credentials\": {},\n \"settings_json\": {},\n \"target_context_json\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"connection_name\": \"Connection Name\",\n \"scope\": \"workspace\",\n \"status\": \"pending\",\n \"health_status\": \"unknown\",\n \"provider_account_id\": \"Provider Account Id\",\n \"provider_tenant_id\": \"Provider Tenant Id\",\n \"encrypted_credentials\": {},\n \"settings_json\": {},\n \"target_context_json\": {}\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 2,
"client_id": 42,
"provider_key": "Example",
"connection_name": "Example",
"scope": "Example",
"auth_type": "Example",
"status": "Example",
"health_status": "Example",
"provider_account_id": 42,
"provider_tenant_id": 42,
"last_health_check_at": "2026-10-20T12:00:00Z",
"last_synced_at": "2026-10-20T12:00:00Z",
"last_error_at": "2026-10-20T12:00:00Z",
"last_error_code": "Example",
"last_error_message": "Example",
"disconnected_at": "2026-10-20T12:00:00Z",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"unresolved_conflict_count": 2,
"credentials_configured": true,
"bloomerang_sync_readiness_enabled": true,
"settings_json": {},
"target_context_json": {},
"provider": {
"id": 42,
"display_name": "Example",
"category": "Example",
"status": "Example",
"supported_objects": {},
"capabilities": {}
},
"encrypted_credentials": {},
"metadata_snapshots": [
{
"id": 2,
"provider_key": "Example",
"snapshot_type": "Example",
"snapshot_version": 2,
"status": "Example",
"schema_hash": "Example",
"snapshot_json": {},
"metadata_json": {},
"discovered_at": "2026-10-20T12:00:00Z",
"approved_at": "2026-10-20T12:00:00Z",
"archived_at": "2026-10-20T12:00:00Z"
}
],
"recent_sync_runs": [
{
"id": 2,
"provider_key": "Example",
"run_type": "Example",
"trigger_source": "Example",
"direction": "Example",
"status": "Example",
"object_types_json": {},
"counters_json": {},
"summary_json": {},
"context_json": {},
"error_summary_json": {},
"started_at": "2026-10-20T12:00:00Z",
"finished_at": "2026-10-20T12:00:00Z",
"events": [
{
"id": 2,
"sync_run_id": 42,
"object_mapping_id": 42,
"provider_key": "Example",
"event_type": "Example",
"direction": "Example",
"status": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"provider_object_type": "Example",
"provider_object_id": 42,
"dedupe_key": "Example",
"idempotency_key": "Example",
"retryable": true,
"attempts": 2,
"error_code": "Example",
"error_message": "Example",
"payload_json": {},
"payload_hash": "Example",
"occurred_at": "2026-10-20T12:00:00Z",
"processed_at": "2026-10-20T12:00:00Z"
}
]
}
],
"recent_conflicts": [
{
"id": 2,
"provider_key": "Example",
"conflict_type": "Example",
"status": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"provider_object_type": "Example",
"provider_object_id": 42,
"conflicted_fields_json": {},
"hys_snapshot_json": {},
"provider_snapshot_json": {},
"detected_at": "2026-10-20T12:00:00Z",
"resolved_at": "2026-10-20T12:00:00Z",
"resolved_by": 42,
"resolution_json": {},
"relationship_identity": {
"kind": "relationship_identity",
"collision_reason": "Example",
"source": {
"provider_object_type": "Example",
"provider_object_id": "Example",
"source_provider_id": "Example",
"related_provider_id": "Example",
"source_name": "Example",
"related_name": "Example",
"relationship_type": "Example",
"reverse_relationship_type": "Example"
},
"current_mapping": {
"id": 42,
"hys_relationship_id": 42
},
"can_keep_separate": true,
"keep_separate_will_create": true,
"can_treat_as_same_or_reverse": true,
"expected_object_mapping_id": 42,
"stale_mapping_token": "<string>",
"pending_resolution": {
"decision": "Example",
"target_hys_object_id": 42,
"staged_at": "2023-11-07T05:31:56Z",
"verification_status": "Example"
},
"candidates": [
{
"id": 42,
"source_name": "Example",
"related_name": "Example",
"relationship_type": "Example",
"is_current": true,
"available": true
}
]
},
"recurring_schedule": {
"kind": "recurring_schedule",
"source": {
"provider_object_type": "Example",
"provider_object_id": "Example",
"donor_provider_id": "Example",
"currency": "Example",
"frequency": "Example",
"start_date": "Example",
"end_date": "Example",
"status": "Example",
"last_modified_at": "Example",
"amount": 125
},
"matched_donor": {
"id": 42,
"name": "Example"
},
"active_commitments": [
{
"id": 42,
"amount": 125,
"frequency": "Example",
"is_non_charging": true,
"is_external_processor": true
}
],
"active_commitment_count": 2,
"active_commitment_total": 125,
"mapped_commitment": {
"id": 42,
"amount": 125,
"frequency": "Example",
"is_non_charging": true,
"is_external_processor": true,
"mapping_id": 42
},
"can_mark_already_represented": true,
"expected_provider_object_id": "Example",
"source_snapshot_token": "<string>",
"active_commitment_token": "<string>"
}
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}